# `cfg()` expression parser

`Cfg` is an AST for just `cfg()` expressions. `Target` allows target triples *or* `cfg()`, so it's suitable for parsing targets Cargo allows in `target.🈁️.dependencies`.

Target triples used by Rust don't follow its documented syntax, so sometimes `os`/`vendor`/`env` will be shifted.

```rust
extern crate parse_cfg;

let cfg = "cfg(not(unix))".parse()?;
assert_eq!(Cfg::Not(Cfg::Is("unix".to_string())), cfg);

let target = "powerpc64le-unknown-linux-gnu".parse()?;
assert_eq!(Target {
    arch: "powerpc64le".to_string(),
    vendor: "unknown".to_string(),
    os: "linux".to_string(),
    env: "gnu".to_string(),
}, target);
```

